## org.hibernate.action.spi
Interface Executable

All Known Implementing Classes:
  AbstractEntityInsertAction, BulkOperationCleanupAction, CollectionAction, CollectionRecreateAction, CollectionRemoveAction, CollectionUpdateAction, EntityAction, EntityDeleteAction, EntityIdentityInsertAction, EntityInsertAction, EntityUpdateAction

    public interface Executable

An operation which may be scheduled for later execution. Usually, the operation is a database insert/update/delete, together with required second-level cache management.

Method Summary
`void` `beforeExecutions()` Called before executing any actions.
`void` `execute()` Execute this action
`AfterTransactionCompletionProcess` `getAfterTransactionCompletionProcess()` Get the after-transaction-completion process, if any, for this action.
`BeforeTransactionCompletionProcess` `getBeforeTransactionCompletionProcess()` Get the before-transaction-completion process, if any, for this action.
`Serializable[]` `getPropertySpaces()` What spaces (tables) are affected by this action?

Method Detail

### getPropertySpaces

    Serializable[] getPropertySpaces()

  What spaces (tables) are affected by this action?

  Returns:
    The spaces affected by this action.

### beforeExecutions

    void beforeExecutions()
                          throws HibernateException

  Called before executing any actions. Gives actions a chance to perform any preparation.

  Throws:
    `HibernateException` - Indicates a problem during preparation.

### execute

    void execute()
                 throws HibernateException

  Execute this action

  Throws:
    `HibernateException` - Indicates a problem during execution.

### getAfterTransactionCompletionProcess

    AfterTransactionCompletionProcess getAfterTransactionCompletionProcess()

  Get the after-transaction-completion process, if any, for this action.

  Returns:
    The after-transaction-completion process, or null if we have no after-transaction-completion process

### getBeforeTransactionCompletionProcess

    BeforeTransactionCompletionProcess getBeforeTransactionCompletionProcess()

  Get the before-transaction-completion process, if any, for this action.

  Returns:
    The before-transaction-completion process, or null if we have no before-transaction-completion process

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.